module AlimentosHelper

	def unidad_nutriente(attr_name)
	  case attr_name
	  when "energia"
	  	return "Kcal"
	  when "agua","proteina","prot_animal","prot_vegetal","lipidos","ags","agm","agp",
				"glucidos","azucares","polisacaridos","fibra","etanol","riboflavina"
	    return "g"

	  when "colesterol","na","k","ca","mg","p","fe","zn",
				"vit_e","tiamina","niacina","vit_b6","vit_c"
		  return "mg"
	  
	  when "vit_a","retinoides","carotenoides","vit_d","acido_folico","vit_b12"
			return "&mu;g".html_safe
    end
	end
	# Percentage of grams that represents each group of nutrients
	def porcentaje_hidratos(alimento)
	  return (alimento.glucidos/(alimento.glucidos+alimento.lipidos+alimento.proteina))*100
	end

	def porcentaje_proteinas(alimento)
	  return (alimento.proteina/(alimento.glucidos+alimento.lipidos+alimento.proteina))*100
	end

	def porcentaje_grasas(alimento)
	  return (alimento.lipidos/(alimento.glucidos+alimento.lipidos+alimento.proteina))*100
	end
	# Methods for kcal percentages of the three type of nutrients
	def porcentaje_kcal_hidratos(alimento)
	  return (alimento.glucidos*4/(alimento.glucidos*4+alimento.lipidos*9+alimento.proteina*4))*100
	end

	def porcentaje_kcal_proteinas(alimento)
	  return (alimento.proteina*4/(alimento.glucidos*4+alimento.lipidos*9+alimento.proteina*4))*100
	end

	def porcentaje_kcal_grasas(alimento)
	  return (alimento.lipidos*9/(alimento.glucidos*4+alimento.lipidos*9+alimento.proteina*4))*100
	end



end
